body {
    font-family: 'Open Sans', Helvetica, Arial, sans-serif;
    font-size: 1rem;
    padding: 0;
    margin: 0;
    height: 100%;
    color: #333;
}

h1 { font-size: 3rem;}
h2 { font-size: 2.25rem;}
h3 { font-size: 1.75rem;}
h4 { font-size: 1.125rem; margin: 5px 0;text-align: center;}

a {
    text-decoration: none;
}
a:hover {
    cursor: pointer;
    color: #000;
}

button {
    color: #666;
    background-color: transparent;
    border: 1px solid #e5e5e5;
    padding: 0 30px;
    vertical-align: middle;
    font-size: .875rem;
    line-height: 30px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
}
button:hover {
    cursor: pointer;
    color: #000;
    border-color: #b2b2b2;
}

input {
    padding: 8px;
    margin-top: 5px;
    border: 1px solid #e5e5e5;
}

select {
    padding: 8px;
    margin-top: 5px;
    border: 1px solid #e5e5e5;
    width: 170px;
}

ul {
    list-style-type: none;
    padding: 0;
    margin-top: 8px;
}

th, td {
    padding: 5px;
}

th {
    position: sticky;
    top: 0;
    background: #fff;
}

label {
    font-size: 0.9rem;
    display: inherit;
}

textarea {
    max-width: 555px;
    width: 50vw;
    border: 1px solid #b2b2b2;
}

table {
    padding-right: 20px;
}

.bold {
    font-weight: 550;
}

.listPadded > li {
    padding-bottom: 8px;
}

.scroll {
    max-height: calc(100vh - 182px);
    overflow: auto;
}

.center {
    text-align: center;
}

#status {
    padding: 8px 0;
}

.showQR {
    display: block !important;
}
.hideQR {
    display: none !important;
}

.green {
    color: #32d296 !important;
}
.red {
    color: #f0506e !important;
}
.orange {
    color: #faa05a !important;
}

.card {
    background: #fff;
    box-shadow: 0 5px 15px rgba(0,0,0,.08);
    padding: 0 20px;
}

.list a {
    color: rgb(0, 0, 238);
}
.detail a {
    color: rgb(0, 0, 238);
}

.inline {
    display: inline-block;
    position: relative;
    max-width: 100%;
    vertical-align: middle;
}

.calendarIcon {
    top: 2px;
    box-sizing: border-box;
    position: relative;
    display: inline-block;
    transform: scale(var(--ggs,1));
    width: 18px;
    height: 18px;
    border: 2px solid;
    border-top: 4px solid;
    border-radius: 3px
}
.calendarIcon::before {
    content: "";
    display: block;
    box-sizing: border-box;
    position: absolute;
    background: currentColor;
    height: 4px;
    width: 4px;
    border-radius: 2px;
    right: 2px;
    bottom: 2px
}

.arrowIcon {
    color: #000;
    position: absolute;
    margin-left: 3px;
    margin-top: 10px;
    width: 16px;
    height: 1px;
    background-color: currentColor;
} 
.arrowIcon:before {
    content: '';
    position: absolute;
    left: 1px;
    top: -5px;
    width: 10px;
    height: 10px;
    border-top: solid 1px currentColor;
    border-right: solid 1px currentColor;
    -webkit-transform: rotate(-135deg);
            transform: rotate(-135deg);
}
.arrowContainer {
    display: none;
    width: 20px;
    height: 20px;
}

.userIcon {
    right: 10px;
    color: #666;
    position: absolute;
    margin-left: 3px;
    margin-top: 11px;
    width: 14px;
    height: 6px;
    border-left: solid 1px currentColor;
    border-right: solid 1px currentColor;
    border-top: solid 1px currentColor;
    border-bottom: solid 1px transparent;
    border-radius: 6px 6px 0 0;
}
.userIcon:before {
    content: '';
    position: absolute;
    left: 2px;
    top: -10px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    border: solid 1px currentColor;
}

.keyIcon {
    right: 10px;
    color: #666;
    position: absolute;
    margin-left: 10px;
    margin-top: 14px;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    border: solid 1px currentColor;
    -webkit-transform: rotate(135deg);
            transform: rotate(135deg);
}
.keyIcon:before {
    content: '';
    position: absolute;
    left: 7px;
    top: 3px;
    width: 12px;
    height: 1px;
    background-color: currentColor;
}
.keyIcon:after {
    content: '';
    position: absolute;
    left: 14px;
    top: 0px;
    width: 1px;
    height: 3px;
    border-left: solid 1px currentColor;
    border-right: solid 1px currentColor;
}

.shutdownIcon {
    color: #666;
    position: absolute;
    margin-top: 3px;
    margin-left: 3px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    border: solid 1px currentColor;
  }
.shutdownIcon:before {
    content: '';
    position: absolute;
    left: 3px;
    top: -2px;
    width: 1px;
    height: 8px;
    border-left: solid 3px white;
    border-right: solid 3px white;
    background-color: currentColor;
}  

.closeIcon {
    color: #000;
    position: absolute;
    margin-top: 0;
    margin-left: 0;
    width: 21px;
    height: 21px;
}
.closeIcon:before {
    content: '';
    position: absolute;
    top: 10px;
    width: 21px;
    height: 1px;
    background-color: currentColor;
    -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
}
.closeIcon:after {
    content: '';
    position: absolute;
    top: 10px;
    width: 21px;
    height: 1px;
    background-color: currentColor;
    -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
}

.menuIcon {
    position: absolute;
    margin-left: 2px;
    margin-top: 10px;
    width: 20px;
    height: 2px;
    background-color: currentColor;
}
.menuIcon:before {
    content: '';
    position: absolute;
    top: -7px;
    left: 0;
    width: 20px;
    height: 2px;
    background-color: currentColor;
}
.menuIcon:after {
    content: '';
    position: absolute;
    top: 7px;
    left: 0;
    width: 20px;
    height: 2px;
    background-color: currentColor;
}
#burger {
    display: none;
    position: absolute;
    right: 20px;
    top: 12px;
    height: 20px;
    width: 20px;
    color: #666;
}
#burger:hover {
    color: #000;
}

#menu {
    display: none;
    position: absolute;
    background: rgba(255,255,255,.9);
}
    
#login {
    text-align: center;
    margin: 35vh 0;
}
#login > form > button {
    margin-top: 5px;
}
#login > form > legend {
    font-size: 1.2rem;
}
#login .userIcon {
    margin-top: 22px;
}

.navigation {
    display: grid;
    position: fixed;
    left:0;
    right:0;
    top:0;
    grid-template-columns: 1fr auto 1fr;
    grid-template-areas: 
    'logo nav user';
}

#logo {
    padding-top: 5px;
    grid-area: logo;
}
#nav {
    grid-area: nav;
    text-align: center;
    padding-top: 10px;
}
#nav a {
    color: #999;
}
#user {
    padding-top: 18px;
    padding-right: 10px;
    text-align: right;
    grid-area: user;
}
#user .userIcon {
    right: 40px;
}

#nav ul {
    list-style-type: none;
    padding: 0;
    margin: 10px 0;
}
#nav li {
    display: inline;
    text-transform: uppercase;
    font-size: 0.95rem;
    padding-right: 10px;
}

.container {
    display: grid;
    justify-content: center;
    grid-template-areas: 
    'content';
}
.content > div {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 20px;
    grid-template-areas: 
    'list detail';
    padding-left: 8px;
    grid-area: content;
    margin-top: 70px;
}
#main {
    display: block;
    text-align: center;
}

#changes {
    height: calc(100vh - 80px);
}

#changes > .list {
    overflow-y: scroll;
}

.list {
    grid-area: list;
}

.detail {
    grid-area: detail;
}

#qr {
    display: none;
    position: absolute;
    padding: 20px;
    z-index: 0;
    top: 70px;
    background: #fff;
}

#qrcanvas {
    float: left;
}
#qrclose {
    right: 5px;
}
#qrdata {
    float: right;
    padding-left: 10px;
}
#print {
    padding-top: 280px;
}

@media only screen and (max-width: 700px) {
    .show {
        display: block !important;
    }
    .hide {
        display: none !important;
    }
    .navigation {
        grid-template-columns: auto;
        grid-template-areas: 
        'logo';
    }
    .content > div {
        display: block;
    }
    .list {
        overflow-y: unset;
    }
    .detail {
        display: none;
    }
    .arrowContainer {
        display: block;
    }
    #burger {
        display: block;
    }
    #nav {
        display: none;
    }
    #user {
        display: none;
    }

    #burger.openMenu {
        color: #000;
    }
    #menu.openMenu {
        display: block;
        z-index: 1;
        width: 100vw;
        height: 100vh;
        top: 44px;
    }
    #nav.openMenu {
        display: block;
        position: absolute;
        z-index: 2;
        top: 70px;
        width: 100%;
    }
    #nav.openMenu li {
        display: block;
        color: #666;
        font-size: 1rem;
        padding: 10px;
    }
    #nav.openMenu li > a {
        color: #666;
    }
    #user.openMenu {
        display: block;
        position: absolute;
        z-index: 2;
        top: 235px;
        width: 100%;
        text-align: center;
    }
    #user .userIcon {
        right: auto;
        margin-left: -25px;
    }
    #user .shutdownIcon {
        margin-left: 15px;
    }
}

@media print {
    .container {
        width: 550px;
    }
    .navigation {
        display: none !important;
    }
    .list {
        display: none !important;
    }
    .detail {
        display: none !important;
    }
    .card {
        box-shadow: none;
        padding: 0;
    }
    #print {
        display: none !important;
    }
    #qrclose {
        display: none !important;
    }
    .etikett > #qr {
        left: 0;
        top: 0;
        padding: 0;
        margin: 0;
        width: 550px;
        height: 400px;
    }
    .label > #qr {
        left: 0;
        top: 0;
        padding: 0;
        margin: 0;
        width: 550px;
    }
    .dymo > #qr {
        left: 0;
        top: 0;
        padding: 0;
        margin: 0;
        width: 570px;
        height: 316px;
    }
    #qrcanvas {
        padding-right: 10px;
    }
    .dymo #qrcanvas img {
        padding-right: 16px;
    }
    .etikett #qrcanvas img {
        padding-top: 62px;
        padding-left: 15px;
        width: 275px;
        height: 275px;
    }
    .label #qrcanvas img {
        padding-top: 0;
        padding-left: 70px;
        width: 80px;
        height: 80px;
    }
    .dymo #qrcanvas img {
        padding-top: 22px;
        padding-left: 16px;
        width: 270px;
        height: 270px;
    }
    .etikett #qrdata {
        width: 540px;
        margin: 0;
        padding-top: 62px;
        font-size: 1.3rem;
        font-weight: bold;
        float: none;
    }
    .label #qrdata {
        width: 540px;
        margin: 0;
        padding-top: 0;
        font-size: 2.2rem;
        font-weight: bold;
        float: none;
        line-height: 40px;
    }
    .dymo #qrdata {
        width: 560px;
        margin: 0;
        padding-top: 16px;
        font-size: 1.8rem;
        font-weight: bold;
        float: none;
    }
    .etikett #qrdata > li {
        word-wrap: break-word;
        padding: 10px 0;
    }
    .label #qrdata > li {
        word-wrap: break-word;
        padding: 0;
    }
    .dymo #qrdata > li {
        word-wrap: break-word;
        padding: 18px 0;
    }
    .etikett #qrdata > li > img {
        width: 240px;
    }
    .label #qrdata > li > img {
        display: none;
    }
    .dymo #qrdata > li > img {
        width: 250px;
    }
}